package com.bonus.boot.manager.basic.dao;

import com.bonus.boot.manager.basic.entity.PersonnelLibraryBean;
import com.bonus.boot.manager.basic.entity.PersonnelReservationBean;
import com.bonus.boot.manager.basic.entity.ZNode;
import com.bonus.boot.manager.manager.model.SysUser;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface PersonnelLibraryDao {
    List<PersonnelLibraryBean> getList(PersonnelLibraryBean o);

    int addInfo(PersonnelLibraryBean bean);

    int updateInfo(PersonnelLibraryBean bean);

    PersonnelLibraryBean getListById(String id);

    int delById(PersonnelLibraryBean bean);

    int resetPassword(PersonnelLibraryBean bean);

    List<ZNode> getDepartmentTree();

    int  updatePersonExport(PersonnelLibraryBean bean);

    int getinfoByidcard(@Param("phone")String phone);

    void updatephyInfo(PersonnelLibraryBean bean);

    String getdepartmentName(String department);

    int addresult(String id);

    String getspecJobName(String specJob);


    int AddInf(PersonnelLibraryBean bean);

    int updatete(PersonnelLibraryBean bean);

    SysUser getEyId(Long userId);

    PersonnelReservationBean getMealName(@Param("setMeal")String setMeal);

    PersonnelReservationBean getInfoById(@Param("personName")String personName,@Param("idNumber") String idNumber, @Param("phone")String phone);

    int updateReservation(PersonnelReservationBean bean);
}
